Transcriptions
Get transcription
Get a single transcription by ID. Supports multiple output formats including SRT and VTT subtitles.
GET
/
transcriptions
/
{id}
Get transcription
curl --request GET \
--url https://api.openwhispr.com/api/v1/transcriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openwhispr.com/api/v1/transcriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openwhispr.com/api/v1/transcriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"text": "<string>",
"word_count": 123,
"source": "cloud",
"provider": "<string>",
"model": "<string>",
"language": "<string>",
"audio_duration_ms": 123,
"processing_ms": 123,
"segments": [
{
"start": 123,
"end": 123,
"text": "<string>",
"speaker": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123,
"score": 123
}
]
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
API key starting with owk_live_ (personal) or ow_wks_live_ (workspace — see space_id on the Notes/Folders endpoints below)
Path Parameters
Transcription ID.
Query Parameters
Output format. json returns the full object with segments. text returns plain text. srt and vtt return subtitle formats (requires segments).
Available options:
json, text, srt, vtt Response
The transcription in the requested format. text/plain is returned for text, srt, and vtt formats.
Show child attributes
Show child attributes
⌘I
Get transcription
